Bug 8675 - Renewing item to specified date creates a due date with HH:MM set to 00:00
Summary: Renewing item to specified date creates a due date with HH:MM set to 00:00
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Circulation (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Colin Campbell
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-23 13:03 UTC by Colin Campbell
Modified: 2013-12-05 19:57 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed Patch (891 bytes, patch)
2012-08-23 13:36 UTC, Colin Campbell
Details | Diff | Splinter Review
Bug 8675 Add hours and mins to renewal due date (936 bytes, patch)
2012-08-23 22:19 UTC, Chris Cormack
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Colin Campbell 2012-08-23 13:03:52 UTC
If items are renewed (via the reserve/renewscript) from the checkboxes displayed in moremember.pl or circulation.pl and the gadget is used to select a new duedate, the duedate time is set to 00:00

It should set it to 23:59 by the same logic as is used for duedatespec in circulation.pl
Comment 1 Colin Campbell 2012-08-23 13:36:52 UTC Comment hidden (obsolete)
Comment 2 Chris Cormack 2012-08-23 22:19:17 UTC
Created attachment 11812 [details] [review]
Bug 8675 Add hours and mins to renewal due date

If user supplies renewal with a new due date it should add
a time using the same logic as dateduespec in circulation.pl
rather than defaulting to 00:00

Signed-off-by: Chris Cormack <chrisc@catalyst.net.nz>
Comment 3 Jonathan Druart 2012-08-27 12:15:37 UTC
Everthing is said in the commit message :)

Marked as Passed QA.
Comment 4 Paul Poulain 2012-09-04 16:23:25 UTC
Not an ENH, but more a bugfix
Comment 5 Chris Cormack 2012-09-05 10:11:49 UTC
Pushed to 3.8.x, will be in 3.8.5